apiVersion: apps/v1
kind: Deployment
metadata:
  name: qos-burstable-deployment
  labels:
    app: simple
spec:
  replicas: 1
  selector:
    matchLabels:
      app: qos-burstable-deployment
  template:
    metadata:
      labels:
        app: qos-burstable-deployment
    spec:
      containers:
      - name: qos-burstable-deployment
        image: registry.gitlab.com/webberis/kubernetes/kubernetes-examples/simple:master
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
        resources:
          limits:
            memory: "512Mi"
            cpu: "500m"
          requests:
            memory: "64Mi"
            cpu: "250m"
      imagePullSecrets:
      - name: regcred
